Create webhook subscription
curl --request POST \
--url https://devtune.ai/api/v2/projects/{projectId}/webhooks \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "<string>",
"events": []
}
'import requests
url = "https://devtune.ai/api/v2/projects/{projectId}/webhooks"
payload = {
"url": "<string>",
"events": []
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({url: '<string>', events: []})
};
fetch('https://devtune.ai/api/v2/projects/{projectId}/webhooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"secret": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"url": "<string>",
"events": [],
"isActive": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"meta": {
"timestamp": "2023-11-07T05:31:56Z",
"projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": "<string>",
"message": "<string>",
"status": 123
}{
"error": "<string>",
"message": "<string>",
"status": 123
}{
"error": "<string>",
"message": "<string>",
"status": 123
}{
"error": "<string>",
"message": "<string>",
"status": 123
}Endpoints
Create webhook subscription
Registers a new webhook subscription. Returns the subscription including the signing secret (only shown once). Requires the webhooks.write scope.
POST
/
projects
/
{projectId}
/
webhooks
Create webhook subscription
Authorizations
API key with dtk_live_ prefix. Obtain it from API Keys in the account sidebar. New keys start with all supported scopes selected for the chosen project, and you can narrow them to specific read/write scopes as needed.
Path Parameters
Body
application/json
Public HTTPS URL to POST webhook payloads to
Maximum string length:
2048Event types to subscribe to
Required array length:
1 - 6 elementsAvailable options:
search-tracking.completed, visibility.changed, action.created, action.updated, action.recommendation.created, action.recommendation.updated ⌘I